Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Interface Repository

All Known Implementing Classes:
  LocalRepository

public interface Repository

Version:
  1.0
Author:
  DevelopmentOnTheEdge
To do:
  Document it.

Method Summary
`DataCollection` | `createDataCollection(java.lang.String name, java.util.Properties properties, java.lang.String subDir, java.lang.String configName, java.io.File[] files, boolean copy, CreateDataCollectionController controller)` Creates new DataCollection.

Method Detail

### createDataCollection

    public DataCollection createDataCollection(java.lang.String name,
                                               java.util.Properties properties,
                                               java.lang.String subDir,
                                               java.lang.String configName,
                                               java.io.File[] files,
                                               boolean copy,
                                               CreateDataCollectionController controller)
                                        throws java.lang.Exception

  Creates new DataCollection.

  Parameters:
    `name` - DataCollection name
    `properties` - DataCollection properties
    `subDir` - Sub directory for new collection.
    `configName` - Name of configuration file
    `files` - Files to be moved or copied into repository
    `copy` - Indicates whether files should be copied.
    `controller` - Object for special control functions (dialogs for example).
  Returns:
    Created data collection, or null.
  Throws:
    `java.lang.Exception` - If error occured.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.